# class Byebug::ThreadCommand

Manipulation of Ruby threads

Reopens the `thread` command to define the `current` subcommand

Reopens the `thread` command to define the `list` subcommand

Reopens the `thread` command to define the `resume` subcommand

Reopens the `thread` command to define the `stop` subcommand

Reopens the `thread` command to define the `switch` subcommand

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/thread.rb, line 22
        def self.description
          <<-DESCRIPTION
            th[read] <subcommand>

            #{short_description}
          DESCRIPTION
        end

regexp() click to toggle source

    # File lib/byebug/commands/thread.rb, line 18
    def self.regexp
      /^\s* th(?:read)? (?:\s+ (.+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/thread.rb, line 30
    def self.short_description
      "Commands to manipulate threads"
    end